//============================================================================================================
//	$Id$
//
//	$Author$
//
//	$DateTime$
//============================================================================================================

#ifndef _LFC1_CONFIGEXP_HPP_
#define _LFC1_CONFIGEXP_HPP_

///
///	@defgroup LFC1_CONFIG Configuration library
///
///	This library contains a set of functions used to manipulate a configuration file.  When this library is
///	used, the various functions manage the use of a single configuration file.
///

#if defined(__WIN__)
  #if defined(LFC1_CONFIG_EXPORTS)
  #define LFC1_CONFIG_API __declspec(dllexport)
  #else
  #define LFC1_CONFIG_API __declspec(dllimport)
  #endif
  #define LFC1_CONFIG_LOCAL
#elif defined(__LINUX__) && !defined(__DOXYGEN__)
  #if defined(LFC1_CONFIG_EXPORTS)
  #define LFC1_CONFIG_API __attribute__ ((visibility("default")))
  #else
  #define LFC1_CONFIG_API __attribute__ ((visibility("default")))
  #endif
  #define LFC1_CONFIG_LOCAL __attribute__ ((visibility("hidden")))
#else
  #if defined(LFC1_CONFIG_EXPORTS)
  #define LFC1_CONFIG_API
  #else
  #define LFC1_CONFIG_API
  #endif
  #define LFC1_CONFIG_LOCAL
#endif

#endif // _LFC1_CONFIGEXP_HPP_

//============================================================================================================
//	End of Code
//============================================================================================================
